Bug 498593 - gfs-utils: don't disable gfs service on package update
gfs-utils: don't disable gfs service on package update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Feist
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 07:19 EDT by Bryn M. Reeves
Modified: 2010-10-23 05:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: gfs-utils-0.1.19-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /etc/init.d/gfs to disable service by default (344 bytes, patch)
2009-05-01 07:21 EDT, Bryn M. Reeves
no flags Details | Diff
don't disable gfs service from gfs-utils postinstall scriptlet (467 bytes, patch)
2009-05-01 07:22 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2009-05-01 07:19:26 EDT
Description of problem:
Currently the gfs-utils RPM will disable the gfs initscript from the package postinstall scriptlet:

$ rpm -q --scripts -p gfs-utils-0.1.18-1.el5.x86_64.rpm
postinstall scriptlet (using /bin/sh):
/sbin/chkconfig --add gfs
/sbin/chkconfig gfs off
preuninstall scriptlet (using /bin/sh):
if [ "$1" = 0 ]; then
       /sbin/chkconfig --del gfs
fi

Talking to Chris, the intent was to disable the gfs service when the package is first installed but not to change the configuration of the service when the package is updated. The current scriptlet will always force the service off.

Version-Release number of selected component (if applicable):
gfs-utils-0.1.18-1.el5

How reproducible:
100%

Steps to Reproduce:
1. Install a version of gfs-utils
2. Enable the gfs initscript:
chkconfig gfs on
3. Confirm service enabled
chkconfig --list gfs
4. Update package to later version (or --force update the same version)
5. Check service configuration
chkconfig --list gfs
  
Actual results:
Service enabled at step 3, disabled at 5.

Expected results:
Service enabled at both steps 3 & 5.
Comment 1 Bryn M. Reeves 2009-05-01 07:21:18 EDT
Created attachment 342075 [details]
patch to /etc/init.d/gfs to disable service by default

Don't enable gfs service by default in the initscript's chkconfig header.
Comment 2 Bryn M. Reeves 2009-05-01 07:22:53 EDT
Created attachment 342076 [details]
don't disable gfs service from gfs-utils postinstall scriptlet

Remove the "chkconfig gfs off" from postinstall script.
Comment 3 Bryn M. Reeves 2009-05-01 07:23:49 EDT
The patches from comment #1 and comment #2 are both required here. Successfully tested on i386. Service is disabled on a clean install of the package but honours user modifications on package upgrade.
Comment 9 Chris Ward 2009-07-03 14:43:15 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 Jaroslav Kortus 2009-07-20 12:20:33 EDT
verified with gfs-utils-0.1.20-1.el5

# rpm -ivh gfs-utils-0.1.19-3.el5.x86_64.rpm
# chkconfig --list gfs
gfs             0:off   1:off   2:off   3:off   4:off   5:off   6:off
# chkconfig gfs on
# chkconfig --list gfs
gfs             0:off   1:off   2:on    3:on    4:on    5:on    6:off
# rpm -Uvh gfs-utils-0.1.20-1.el5.x86_64.rpm
# chkconfig --list gfs
gfs             0:off   1:off   2:on    3:on    4:on    5:on    6:off
Comment 13 errata-xmlrpc 2009-09-02 07:01:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1336.html

Note You need to log in before you can comment on or make changes to this bug.